<script setup lang="ts">
defineProps({
  withBorder: Boolean
})
</script>

<template>
  <button
      class="inline-block text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:ring-4 focus:outline-none focus:ring-gray-200 dark:focus:ring-gray-700 rounded-main text-sm p-input"
      :class="withBorder ? 'border-gray-800 border' : '' "
  >
    <slot/>
  </button>
</template>
